System requirementsΒΆ

KPP-for-GEOS-Chem requires the following packages:

  1. A C-language compiler (such as gcc, from the GNU Compiler Collection)

  2. The flex lexical parser library. This is often installed on many computer systems by default. It can also be easily installed with a package manager such as spack.

  3. Python (2.7.5 or greater). This is required in order to post-process source code created by KPP-for-GEOS-Chem to include modifications for the OH reactivity diagnostic.

Depending on your setup, you might have to load these packages with the module load or spack load commands. Ask your sysadmin for more information.